<form>
    <div class="form-group">
        <label for=""> First Name</label>
        <input id="firstName" type="text" class="form-control">

    </div>
    <div class="form-group">
        <label for=""> Last Name</label>
        <input id="lastName" type="text" class="form-control">

    </div>
    <div class="form-group">
        <label for="">Delivery Address</label>
        <input id="deliveryAddress" type="text" class="form-control">
    </div>
    <div class="form-group">
        <label for="">Shipping Address</label>
        <input id="shippingAddress" type="text" class="form-control">
    </div>
    <button [disabled]="!f.valid" (click)="placeOrder()" class="btn btn-primary">Submit</button>
</form>